Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Interface BatikHistogramNormalizationFilter

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  BatikHistogramNormalizationFilter8Bit

    public interface BatikHistogramNormalizationFilter

extends FilterColorInterpolation

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` | `getSource()` Returns the source to be offset.
`float` | `getTrim()` Returns the trim percent for this normalization.
`void` | `setSource(Filter src)` Sets the source to be offset.
`void` | `setTrim(float trim)` Sets the trim percent for this normalization.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be offset.

### setSource

    void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### getTrim

    float getTrim()

  Returns the trim percent for this normalization.

### setTrim

    void setTrim(float trim)

  Sets the trim percent for this normalization.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.